uniform sampler2D texUnit, texUnit2;
void main(void)
{
   const float offset = 1.0 / 512.0; // One step in the input texture
   
   vec2 texCoord = gl_TexCoord[0].xy; // Center pixel coordinates
   vec4 c  = texture2D(texUnit, texCoord);
   vec4 r  = texture2D(texUnit, texCoord + vec2( offset,	 0.0));
   vec4 l  = texture2D(texUnit, texCoord + vec2(-offset,	 0.0));
   vec4 u  = texture2D(texUnit, texCoord + vec2(    0.0, offset));
   vec4 d  = texture2D(texUnit, texCoord + vec2(    0.0,-offset));
   gl_FragColor = (-4.0*c + r + l + u + d)/2.0;
}
